data_structures.h File Reference
Include dependency graph for data_structures.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | vrna_basepair_s
| Base pair data structure used in subopt.c. More...
struct | vrna_plist_s
| this datastructure is used as input parameter in functions of PS_dot.h and others More...
struct | vrna_cpair_s
| this datastructure is used as input parameter in functions of PS_dot.c More...
struct | vrna_sect_s
| Stack of partial structures for backtracking. More...
struct | vrna_bp_stack_s
| Base pair stack element. More...
struct | pu_contrib
| contributions to p_u More...
struct | interact
struct | pu_out
| Collection of all free_energy of beeing unpaired values for output. More...
struct | constrain
| constraints for cofolding More...
struct | duplexT
struct | node
struct | snoopT
struct | dupVar
struct | vrna_fc_s
| The most basic data structure required by many functions throughout the RNAlib. More...

## Macros

#define | VRNA_STATUS_MFE_PRE (unsigned char)1
| Status message indicating that MFE computations are about to begin. More...
#define | VRNA_STATUS_MFE_POST (unsigned char)2
| Status message indicating that MFE computations are finished. More...
#define | VRNA_STATUS_PF_PRE (unsigned char)3
| Status message indicating that Partition function computations are about to begin. More...
#define | VRNA_STATUS_PF_POST (unsigned char)4
| Status message indicating that Partition function computations are finished. More...
#define | VRNA_OPTION_MFE 1U
| Option flag to specify requirement of Minimum Free Energy (MFE) DP matrices and corresponding set of energy parameters. More...
#define | VRNA_OPTION_PF 2U
| Option flag to specify requirement of Partition Function (PF) DP matrices and corresponding set of Boltzmann factors. More...
#define | VRNA_OPTION_EVAL_ONLY 8U
| Option flag to specify that neither MFE, nor PF DP matrices are required. More...

## Typedefs

typedef struct vrna_fc_s | vrna_fold_compound_t
| Typename for the fold_compound data structure vrna_fc_s.
typedef struct vrna_basepair_s | vrna_basepair_t
| Typename for the base pair repesenting data structure vrna_basepair_s.
typedef struct vrna_plist_s | vrna_plist_t
| Typename for the base pair list repesenting data structure vrna_plist_s.
typedef struct vrna_bp_stack_s | vrna_bp_stack_t
| Typename for the base pair stack repesenting data structure vrna_bp_stack_s.
typedef struct vrna_cpair_s | vrna_cpair_t
| Typename for data structure vrna_cpair_s.
typedef struct vrna_sect_s | vrna_sect_t
| Typename for stack of partial structures vrna_sect_s.
typedef double | FLT_OR_DBL
| Typename for floating point number in partition function computations.
typedef void( | vrna_callback_free_auxdata) (void *data)
| Callback to free memory allocated for auxiliary user-provided data. More...
typedef void( | vrna_callback_recursion_status) (unsigned char status, void *data)
| Callback to perform specific user-defined actions before, or after recursive computations. More...
typedef struct vrna_basepair_s | PAIR
| Old typename of vrna_basepair_s. More...
typedef struct vrna_plist_s | plist
| Old typename of vrna_plist_s. More...
typedef struct vrna_cpair_s | cpair
| Old typename of vrna_cpair_s. More...
typedef struct vrna_sect_s | sect
| Old typename of vrna_sect_s. More...
typedef struct vrna_bp_stack_s | bondT
| Old typename of vrna_bp_stack_s. More...
typedef struct pu_contrib | pu_contrib
| contributions to p_u
typedef struct pu_out | pu_out
| Collection of all free_energy of beeing unpaired values for output.
typedef struct constrain | constrain
| constraints for cofolding

## Enumerations

enum | vrna_fc_type_e { VRNA_VC_TYPE_SINGLE, VRNA_VC_TYPE_ALIGNMENT }
| An enumerator that is used to specify the type of a vrna_fold_compound_t. More...

## Functions

vrna_fold_compound_t * | vrna_fold_compound (const char *sequence, vrna_md_t *md_p, unsigned int options)
| Retrieve a vrna_fold_compound_t data structure for single sequences and hybridizing sequences. More...
vrna_fold_compound_t * | vrna_fold_compound_comparative (const char **sequences, vrna_md_t *md_p, unsigned int options)
| Retrieve a vrna_fold_compound_t data structure for sequence alignments. More...
void | vrna_fold_compound_free (vrna_fold_compound_t *vc)
| Free memory occupied by a vrna_fold_compound_t. More...
void | vrna_fold_compound_add_auxdata (vrna_fold_compound_t *vc, void *data, vrna_callback_free_auxdata *f)
| Add auxiliary data to the vrna_fold_compound_t. More...
void | vrna_fold_compound_add_callback (vrna_fold_compound_t *vc, vrna_callback_recursion_status *f)
| Add a recursion status callback to the vrna_fold_compound_t. More...